%define ladspadir	%{_libdir}/ladspa
%define lv2dir		%{_libdir}/lv2

Name:           guitarix
Version:        0.37.0
Release:        %mkrel 1
Summary:        Guitar effect processor for JACK

License:        GPLv2
Group:          Sound
URL:            http://guitarix.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/guitarix/%{name}2-%{version}.tar.xz

BuildRequires:  avahi-gobject-devel
BuildRequires:  bluez-devel
BuildRequires:  boost-devel
BuildRequires:  eigen3
BuildRequires:  fftw-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkmm2.4-devel
BuildRequires:  gperf
BuildRequires:  intltool
BuildRequires:  ladspa-devel
BuildRequires:  libjack-devel
BuildRequires:  libpthread-stubs
BuildRequires:  libsndfile-devel
BuildRequires:  liblrdf-devel
BuildRequires:  lilv-devel
BuildRequires:  lv2-devel
BuildRequires:  python-devel
BuildRequires:  libzita-convolver-devel
BuildRequires:  zita-resampler-devel
Requires:       fonts-ttf-roboto
Requires:       gtk-engines2
Requires:       jack_capture
Requires:       ladspa
Requires:       lv2
Requires:       qjackctl
Requires:       vorbis-tools

%description
guitarix is a simple Linux Rock Guitar Amplifier for the Jack Audio
Connektion Kit with one input and two outputs. Designed to get nice
thrash/metal/rock/blues guitar sounds. There are controls for bass,
middle, treble, gain (in/out), compressor, preamp, tube's, drive,
overdrive, oversample, anti-aliase, fuzz, balance, distortion, freeverb,
impulse response, vibrato, chorus, delay , crybaby(wah) and echo.

%prep
%setup -qn %{name}-%{version}

%build
rm -fr src/zita-convolver src/zita-resampler
sed -i -e 's|-O3||' wscript
export CPPFLAGS+="-I/usr/include/eigen3 %{optflags}"

./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--ladspadir=%{ladspadir} \
	--lv2dir=%{lv2dir} \
  --no-faust \
  --ladspa \
  --new-ladspa
./waf build

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot} --libdir=%{_libdir}
%find_lang %{name}
desktop-file-install --vendor="" \
 --add-category="X-MandrivaLinux-Multimedia-Sound" \
 --remove-category="X-Jack" \
 --remove-category="Midi" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
#remove uneeded files.
rm -rf %buildroot/%{_libdir}/libgxw.so
rm -rf %buildroot/%{_libdir}/libgxwmm.so

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/guitarix
%{_libdir}/libgx*
%{_libdir}/lv2
%{_datadir}/gx_head
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{ladspadir}/*.so
%{_datadir}/ladspa/rdf/*.rdf

%changelog
* Wed Dec 19 2018 adrianomorselli <adrianomorselli> 0.37.0-1uplos2018
- update
